Skip to content

Update Access Key

Request

Updates an Access Key with new information.

Security
OAuth2 or Basic
Path
projectIdstringrequired
accessKeyIdstringrequired
Bodyapplication/jsonrequired
displayNamestring

Required. The display name for this Access Key. It must be unique for the resource tied to the key.

curl -i -X PATCH \
  'https://account.api.sinch.com/v1/projects/{projectId}/accessKeys/{accessKeyId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "displayName": "My staging Access Key"
  }'

Responses

OK

Bodyapplication/json
accessKeyIdstring

Unique ID for this Access Key.

displayNamestring

The display name for this Access Key. It must be unique for the resource tied to the key.

projectIdstring

The project ID this key is tied to.

createTimestring, (date-time)

Timestamp when the Access Key was created.

updateTimestring, (date-time)

Timestamp when the Access Key was last modified.

Response
{ "accessKeyId": "string", "displayName": "string", "projectId": "string", "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z" }